import os

import boto3

DYNAMODB_ENDPOINT_URL: str | None = None

# Only when running `sam local start-api`
if 'AWS_SAM_LOCAL' in os.environ:
    DYNAMODB_ENDPOINT_URL = 'http://host.docker.internal:8000'


if 'DYNAMODB_ENDPOINT_URL' in os.environ:
    DYNAMODB_ENDPOINT_URL = os.getenv('DYNAMODB_ENDPOINT_URL')


dynamodb_client = boto3.client('dynamodb', endpoint_url=DYNAMODB_ENDPOINT_URL)
